Return entitlement context rows visible to the caller for one owner entity instance.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/entitlement-operations/entity-instances/example/example/context"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entitlement-operations/entity-instances/example/example/context';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/entitlement-operations/entity-instances/example/example/context \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Object-centric Entitlement Operations context for one entity instance.
object
Runtime entitlement summary row.
object
Compact customer-owned entity instance reference.
object
Plan family reference shown on runtime entitlement rows.
object
Resource-neutral current invariant state and complete object-operation decision set.
object
Stable identity of one Moltaro resource instance.
object
Current safe state of every applicable enabled Business Invariant.
Current safe state of one Business Invariant target for one resource.
object
Stable invariant key.
Stable target key within the invariant.
Whether the invariant is active for the current resource state.
Localized safe active-state message, or null when inactive.
Explicit decision for every applicable and discoverable Object Operation Catalog entry on the current surface.
object
Composed current decision for one applicable object operation.
object
Stable Object Operation Catalog key.
Whether all independent authorities allow the operation.
Deterministically ordered safe denial details.
One safe denial contributing to a composed object-operation decision.
object
Identifies the independent authority that denied an object operation.
Stable source identity, such as an invariant key or domain policy key.
Stable machine-readable reason code.
Non-empty localized safe message.
Whether the target has entitlements hidden by the caller’s entitlement model permissions.
object
object
object
object
Example
{ "Data": { "Items": [ { "ModelType": 0, "Status": 0, "EffectiveState": 0, "ObjectInvariant": { "Operations": { "additionalProperty": { "Denials": [ { "Source": 0 } ] } } } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Object-centric Entitlement Operations context for one entity instance.
object
Runtime entitlement summary row.
object
Compact customer-owned entity instance reference.
object
Plan family reference shown on runtime entitlement rows.
object
Resource-neutral current invariant state and complete object-operation decision set.
object
Stable identity of one Moltaro resource instance.
object
Current safe state of every applicable enabled Business Invariant.
Current safe state of one Business Invariant target for one resource.
object
Stable invariant key.
Stable target key within the invariant.
Whether the invariant is active for the current resource state.
Localized safe active-state message, or null when inactive.
Explicit decision for every applicable and discoverable Object Operation Catalog entry on the current surface.
object
Composed current decision for one applicable object operation.
object
Stable Object Operation Catalog key.
Whether all independent authorities allow the operation.
Deterministically ordered safe denial details.
One safe denial contributing to a composed object-operation decision.
object
Identifies the independent authority that denied an object operation.
Stable source identity, such as an invariant key or domain policy key.
Stable machine-readable reason code.
Non-empty localized safe message.
Whether the target has entitlements hidden by the caller’s entitlement model permissions.
object
object
object
object
Example
{ "Data": { "Items": [ { "ModelType": 0, "Status": 0, "EffectiveState": 0, "ObjectInvariant": { "Operations": { "additionalProperty": { "Denials": [ { "Source": 0 } ] } } } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Object-centric Entitlement Operations context for one entity instance.
object
Runtime entitlement summary row.
object
Compact customer-owned entity instance reference.
object
Plan family reference shown on runtime entitlement rows.
object
Resource-neutral current invariant state and complete object-operation decision set.
object
Stable identity of one Moltaro resource instance.
object
Current safe state of every applicable enabled Business Invariant.
Current safe state of one Business Invariant target for one resource.
object
Stable invariant key.
Stable target key within the invariant.
Whether the invariant is active for the current resource state.
Localized safe active-state message, or null when inactive.
Explicit decision for every applicable and discoverable Object Operation Catalog entry on the current surface.
object
Composed current decision for one applicable object operation.
object
Stable Object Operation Catalog key.
Whether all independent authorities allow the operation.
Deterministically ordered safe denial details.
One safe denial contributing to a composed object-operation decision.
object
Identifies the independent authority that denied an object operation.
Stable source identity, such as an invariant key or domain policy key.
Stable machine-readable reason code.
Non-empty localized safe message.
Whether the target has entitlements hidden by the caller’s entitlement model permissions.
object
object
object
object
Example
{ "Data": { "Items": [ { "ModelType": 0, "Status": 0, "EffectiveState": 0, "ObjectInvariant": { "Operations": { "additionalProperty": { "Denials": [ { "Source": 0 } ] } } } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Object-centric Entitlement Operations context for one entity instance.
object
Runtime entitlement summary row.
object
Compact customer-owned entity instance reference.
object
Plan family reference shown on runtime entitlement rows.
object
Resource-neutral current invariant state and complete object-operation decision set.
object
Stable identity of one Moltaro resource instance.
object
Current safe state of every applicable enabled Business Invariant.
Current safe state of one Business Invariant target for one resource.
object
Stable invariant key.
Stable target key within the invariant.
Whether the invariant is active for the current resource state.
Localized safe active-state message, or null when inactive.
Explicit decision for every applicable and discoverable Object Operation Catalog entry on the current surface.
object
Composed current decision for one applicable object operation.
object
Stable Object Operation Catalog key.
Whether all independent authorities allow the operation.
Deterministically ordered safe denial details.
One safe denial contributing to a composed object-operation decision.
object
Identifies the independent authority that denied an object operation.
Stable source identity, such as an invariant key or domain policy key.
Stable machine-readable reason code.
Non-empty localized safe message.
Whether the target has entitlements hidden by the caller’s entitlement model permissions.
object
object
object
object
Example
{ "Data": { "Items": [ { "ModelType": 0, "Status": 0, "EffectiveState": 0, "ObjectInvariant": { "Operations": { "additionalProperty": { "Denials": [ { "Source": 0 } ] } } } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}